Subject: Re: [tram] SSODA (Single SOcket Dual Allocation with TURN)

From: Oleg Moskalenko <[email-masked]>
Date: Wed, 16 Jul 2014 23:52:30 -0700

While working on SSODA implementation, I found an important typo in SSODA
document:

The current text of the last paragraph in the section 2.1:

" Clients MUST NOT include a REQUESTED-ADDRESS-FAMILY attribute in an
   Allocate request that contains a RESERVATION-TOKEN or an EVEN-PORT
   attributes.  The SSODA mechanism is not available when using the odd/
   even port allocation scheme."

The problem is that there is nothing wrong in including a
REQUESTED-ADDRESS-FAMILY attribute in the EVEN-PORT ALLOCATE request. The
RFC 6156 does not forbid that and that is actually a necessary
functionality. The potential problem happens only when we are attempting to
include more than one REQUESTED-ADDRESS-FAMILY attribute in the EVEN-PORT
ALLOCATE request.

That paragraph has to be replaced to this text:

"The SSODA mechanism is not available when using the odd/
   even port allocation scheme.
Clients MUST NOT include a REQUESTED-ADDRESS-FAMILY attribute in an
   Allocate request that contains a RESERVATION-TOKEN attribute.
Clients MUST NOT include a second REQUESTED-ADDRESS-FAMILY attribute in an
   Allocate request that contains an EVEN-PORT attribute. "

Thanks
Oleg

On Mon, Mar 17, 2014 at 3:55 AM, Pal Martinsen (palmarti) <
[email-masked]> wrote:

>  Hi TRAMsters,
>
>  Justin, Oleg and myself wrote up some of the thoughts regarding single
> socket dual IPv4/IPv6 allocations that was discussed earlier on the list.
> There are still open issues, but we feel it is important that the
> discussion continue on the list.
>
>  Below are the submission details:
>
> A new version of I-D, draft-martinsen-tram-ssoda-00.txt
> has been successfully submitted by Paal-Erik Martinsen and posted to the
> IETF repository.
>
> Name: draft-martinsen-tram-ssoda
> Revision: 00
> Title: Single SOcket Dual Allocation with TURN
> Document date: 2014-03-17
> Group: Individual Submission
> Pages: 8
> URL:
> http://www.ietf.org/internet-drafts/draft-martinsen-tram-ssoda-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-martinsen-tram-ssoda/
> Htmlized:       http://tools.ietf.org/html/draft-martinsen-tram-ssoda-00
>
>
> Abstract:
>   This draft describes a simple method for allocating one IPv4 and one
>   IPv6 relay address from a single ALLOCATE request to the TURN server.
>   This saves local ports on the client, reduces the number of
>   candidates gathered by the client, and reduces the number of messages
>   sent between the client and the TURN server.
>
>
> .-.
> Pål-Erik
>
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram
>
>